- [ApplicationBundle](#applicationbundle)
- [CMSBundle](#cmsbundle)
- [CatalogBundle](#catalogbundle)
- [OrderBundle](#orderbundle)
- [PaymentBundle](#paymentbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [RedirectBundle](#redirectbundle)
- [ShippingBundle](#shippingbundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [VisibilityBundle](#visibilitybundle)
- [WebsiteSearchBundle](#websitesearchbundle)

ApplicationBundle
-----------------
* The `OroApplicationExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ApplicationBundle/DependencyInjection/OroApplicationExtension.php#L10 "Oro\Bundle\ApplicationBundle\DependencyInjection\OroApplicationExtension")</sup> class was removed.

CMSBundle
---------
* The following classes were removed:
   - `WidgetRegistry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/Widget/WidgetRegistry.php#L7 "Oro\Bundle\CMSBundle\Widget\WidgetRegistry")</sup>
   - `HomePageSliderImagesSourceFixer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/Migration/HomePageSliderImagesSourceFixer.php#L13 "Oro\Bundle\CMSBundle\Migration\HomePageSliderImagesSourceFixer")</sup>
   - `WidgetTagPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/DependencyInjection/Compiler/WidgetTagPass.php#L9 "Oro\Bundle\CMSBundle\DependencyInjection\Compiler\WidgetTagPass")</sup>
* The `WidgetExtension::__construct(WidgetRegistry $widgetRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/Twig/WidgetExtension.php#L21 "Oro\Bundle\CMSBundle\Twig\WidgetExtension")</sup> method was changed to `WidgetExtension::__construct(ContentWidgetRenderer $contentWidgetRenderer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Twig/WidgetExtension.php#L21 "Oro\Bundle\CMSBundle\Twig\WidgetExtension")</sup>
* The `ContentBlockDataProvider::getContentBlockView($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/Layout/DataProvider/ContentBlockDataProvider.php#L61 "Oro\Bundle\CMSBundle\Layout\DataProvider\ContentBlockDataProvider")</sup> method was changed to `ContentBlockDataProvider::getContentBlockView(string $alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Layout/DataProvider/ContentBlockDataProvider.php#L66 "Oro\Bundle\CMSBundle\Layout\DataProvider\ContentBlockDataProvider")</sup>
* The `ContentBlockView::__construct($alias, Collection $titles, $enabled, $content)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/ContentBlock/Model/ContentBlockView.php#L27 "Oro\Bundle\CMSBundle\ContentBlock\Model\ContentBlockView")</sup> method was changed to `ContentBlockView::__construct(string $alias, Collection $titles, bool $enabled, string $content, string $contentStyle)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/ContentBlock/Model/ContentBlockView.php#L44 "Oro\Bundle\CMSBundle\ContentBlock\Model\ContentBlockView")</sup>
* The `WidgetInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CMSBundle/Widget/WidgetInterface.php#L8 "Oro\Bundle\CMSBundle\Widget\WidgetInterface")</sup> interface was removed.

CatalogBundle
-------------
* The `CategoryPerOrganizationQueryModifier`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Api/CategoryPerOrganizationQueryModifier.php#L22 "Oro\Bundle\CatalogBundle\Api\CategoryPerOrganizationQueryModifier")</sup> class was removed.
* The `CategoryTreeProvider::__construct(CategoryRepository $categoryRepository, EventDispatcherInterface $eventDispatcher, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L37 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup> method was changed to `CategoryTreeProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L37 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup>
* The `MasterCatalogRootProvider::__construct(CategoryRepository $categoryRepository, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Provider/MasterCatalogRootProvider.php#L28 "Oro\Bundle\CatalogBundle\Provider\MasterCatalogRootProvider")</sup> method was changed to `MasterCatalogRootProvider::__construct(ManagerRegistry $registry, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Provider/MasterCatalogRootProvider.php#L28 "Oro\Bundle\CatalogBundle\Provider\MasterCatalogRootProvider")</sup>
* The `CategoriesProductsProvider::__construct(CategoryRepository $categoryRepository, ProductRepository $searchRepository)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L32 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup> method was changed to `CategoriesProductsProvider::__construct(ManagerRegistry $registry, ProductRepository $searchRepository)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L36 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup>
* The `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, CategoryTreeProvider $categoryTreeProvider, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L49 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup> method was changed to `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, CategoryTreeProvider $categoryTreeProvider, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L50 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup>
* The `SearchCategoryFilteringEventListener::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, SubcategoryProvider $categoryProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/EventListener/SearchCategoryFilteringEventListener.php#L44 "Oro\Bundle\CatalogBundle\EventListener\SearchCategoryFilteringEventListener")</sup> method was changed to `SearchCategoryFilteringEventListener::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, SubcategoryProvider $categoryProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/EventListener/SearchCategoryFilteringEventListener.php#L45 "Oro\Bundle\CatalogBundle\EventListener\SearchCategoryFilteringEventListener")</sup>
* The `HideInvisibleProductCategories::__construct(AclProtectedQueryFactory $queryFactory, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Api/Processor/HideInvisibleProductCategories.php#L28 "Oro\Bundle\CatalogBundle\Api\Processor\HideInvisibleProductCategories")</sup> method was changed to `HideInvisibleProductCategories::__construct(QueryAclHelper $queryAclHelper, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Api/Processor/HideInvisibleProductCategories.php#L29 "Oro\Bundle\CatalogBundle\Api\Processor\HideInvisibleProductCategories")</sup>
* The `CategoryTreeProvider::$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L20 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider::$categoryRepository")</sup> property was removed.
* The `CategoriesProductsProvider::$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L26 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider::$categoryRepository")</sup> property was removed.
* The `CategoryProvider::$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L29 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider::$categoryRepository")</sup> property was removed.

OrderBundle
-----------
* The `OrderLineItemQueryModifier`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/OrderBundle/Api/OrderLineItemQueryModifier.php#L21 "Oro\Bundle\OrderBundle\Api\OrderLineItemQueryModifier")</sup> class was removed.

PaymentBundle
-------------
* The `PaymentMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PaymentBundle/Controller/Api/Rest/PaymentMethodsConfigsRuleController.php#L39 "Oro\Bundle\PaymentBundle\Controller\Api\Rest\PaymentMethodsConfigsRuleController")</sup> method was changed to `PaymentMethodsConfigsRuleController::enableAction(int $id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/Controller/Api/Rest/PaymentMethodsConfigsRuleController.php#L39 "Oro\Bundle\PaymentBundle\Controller\Api\Rest\PaymentMethodsConfigsRuleController")</sup>

PricingBundle
-------------
* The following classes were removed:
   - `EnableShardingOnConfig`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnConfig.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnConfig")</sup>
   - `EnableShardingOnQuery`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnQuery.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnQuery")</sup>
   - `HandlePriceListFilter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/HandlePriceListFilter.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\HandlePriceListFilter")</sup>
   - `LoadNormalizedProductPriceWithNormalizedId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/LoadNormalizedProductPriceWithNormalizedId.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\LoadNormalizedProductPriceWithNormalizedId")</sup>
   - `NormalizeInputProductPriceId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeInputProductPriceId.php#L18 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeInputProductPriceId")</sup>
   - `NormalizeOutputProductPriceId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeOutputProductPriceId.php#L11 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeOutputProductPriceId")</sup>
   - `PriceListIdContextUtil`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/PriceListIdContextUtil.php#L10 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\PriceListIdContextUtil")</sup>
   - `RememberProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/RememberProductPrice.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\RememberProductPrice")</sup>
   - `ResetPriceRuleField`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/ResetPriceRuleField.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\ResetPriceRuleField")</sup>
   - `SaveProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/SaveProductPrice.php#L14 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\SaveProductPrice")</sup>
   - `StorePriceListInContextByProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/StorePriceListInContextByProductPrice.php#L12 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\StorePriceListInContextByProductPrice")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomer.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomer")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup")</sup>
   - `UpdateLexemesOnPriceRuleDelete`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDelete.php#L14 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDelete")</sup>
   - `UpdateLexemesOnPriceRuleDeleteList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDeleteList.php#L15 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDeleteList")</sup>
   - `UpdateLexemesPriceRule`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesPriceRule.php#L13 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesPriceRule")</sup>
   - `BuildCombinedPriceList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceList.php#L14 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceList")</sup>
   - `BuildCombinedPriceLists`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceLists.php#L14 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceLists")</sup>
   - `RemovePriceListSchedulesFromContext`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/RemovePriceListSchedulesFromContext.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\RemovePriceListSchedulesFromContext")</sup>
   - `SavePriceListSchedulesToContext`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/SavePriceListSchedulesToContext.php#L15 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\SavePriceListSchedulesToContext")</sup>
   - `UpdatePriceListsContainSchedule`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListsContainSchedule.php#L15 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListsContainSchedule")</sup>
   - `AddSchedulesToPriceListApiFormSubscriber`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Form/AddSchedulesToPriceListApiFormSubscriber.php#L13 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Form\AddSchedulesToPriceListApiFormSubscriber")</sup>
   - `HandlePriceListStatusChange`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/HandlePriceListStatusChange.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\HandlePriceListStatusChange")</sup>
   - `UpdatePriceListLexemes`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/UpdatePriceListLexemes.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\UpdatePriceListLexemes")</sup>
* The `ProductPriceProvider::recalculatePricePerUnit`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/Provider/ProductPriceProvider.php#L147 "Oro\Bundle\PricingBundle\Provider\ProductPriceProvider::recalculatePricePerUnit")</sup> method was removed.
* The following methods in class `ProductPriceResetStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L27 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy")</sup> were removed:
   - `beforeProcessEntity`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L27 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::beforeProcessEntity")</sup>
   - `getProductPriceRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L64 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::getProductPriceRepository")</sup>
   - `updateContextCounters`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L76 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::updateContextCounters")</sup>
   - `setShardManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L84 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::setShardManager")</sup>
* The following properties in class `ProductPriceResetStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L15 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy")</sup> were removed:
   - `$shardManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L15 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::$shardManager")</sup>
   - `$processedPriceLists`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L20 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::$processedPriceLists")</sup>

ProductBundle
-------------
* The following classes were removed:
   - `ProductImageCurrentCollection`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageCurrentCollection.php#L8 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageCurrentCollection")</sup>
   - `AddRelatedProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Api/Processor/Create/AddRelatedProduct.php#L22 "Oro\Bundle\ProductBundle\Api\Processor\Create\AddRelatedProduct")</sup>
* The `AttributeFamilyUsageInVariantFieldValidator::__construct(AttributeManager $attributeManager, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Validator/Constraints/AttributeFamilyUsageInVariantFieldValidator.php#L33 "Oro\Bundle\ProductBundle\Validator\Constraints\AttributeFamilyUsageInVariantFieldValidator")</sup> method was changed to `AttributeFamilyUsageInVariantFieldValidator::__construct(AttributeManager $attributeManager, DoctrineHelper $doctrineHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Validator/Constraints/AttributeFamilyUsageInVariantFieldValidator.php#L38 "Oro\Bundle\ProductBundle\Validator\Constraints\AttributeFamilyUsageInVariantFieldValidator")</sup>
* The `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L38 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup> method was changed to `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L38 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup>
* The `ProductImagesURLsProvider::__construct(DoctrineHelper $doctrineHelper, AttachmentManager $attachmentManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Provider/ProductImagesURLsProvider.php#L27 "Oro\Bundle\ProductBundle\Provider\ProductImagesURLsProvider")</sup> method was changed to `ProductImagesURLsProvider::__construct(DoctrineHelper $doctrineHelper, AttachmentManager $attachmentManager, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Provider/ProductImagesURLsProvider.php#L37 "Oro\Bundle\ProductBundle\Provider\ProductImagesURLsProvider")</sup>
* The `ProductType::__construct(DefaultProductUnitProviderInterface $provider, UrlGeneratorInterface $urlGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Form/Type/ProductType.php#L57 "Oro\Bundle\ProductBundle\Form\Type\ProductType")</sup> method was changed to `ProductType::__construct(DefaultProductUnitProviderInterface $provider, UrlGeneratorInterface $urlGenerator, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Type/ProductType.php#L65 "Oro\Bundle\ProductBundle\Form\Type\ProductType")</sup>
* The `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductIndexFieldsProvider $fieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L37 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup> method was changed to `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $fieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L37 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup>
* The `FrontendProductGridEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup> method was changed to `FrontendProductGridEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>
* The `BrandController::getAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Controller/Api/Rest/BrandController.php#L36 "Oro\Bundle\ProductBundle\Controller\Api\Rest\BrandController")</sup> method was changed to `BrandController::getAction(int $id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Controller/Api/Rest/BrandController.php#L39 "Oro\Bundle\ProductBundle\Controller\Api\Rest\BrandController")</sup>
* The `ProductFamilySearchHandler::__construct(ManagerRegistry $registry, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Autocomplete/ProductFamilySearchHandler.php#L27 "Oro\Bundle\ProductBundle\Autocomplete\ProductFamilySearchHandler")</sup> method was changed to `ProductFamilySearchHandler::__construct(ManagerRegistry $registry, PropertyAccessor $propertyAccessor, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Autocomplete/ProductFamilySearchHandler.php#L32 "Oro\Bundle\ProductBundle\Autocomplete\ProductFamilySearchHandler")</sup>
* The `ConfigureProductSearchAttributes::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Api/Processor/ConfigureProductSearchAttributes.php#L38 "Oro\Bundle\ProductBundle\Api\Processor\ConfigureProductSearchAttributes")</sup> method was changed to `ConfigureProductSearchAttributes::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Api/Processor/ConfigureProductSearchAttributes.php#L38 "Oro\Bundle\ProductBundle\Api\Processor\ConfigureProductSearchAttributes")</sup>
* The following methods in class `ProductImageHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L42 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper")</sup> were removed:
   - `setProductImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L42 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::setProductImageImportDir")</sup>
   - `getProductImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L50 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::getProductImageImportDir")</sup>
* The `WebsiteSearchSegmentListener::onWebsiteSearchIndex`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchSegmentListener.php#L44 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchSegmentListener::onWebsiteSearchIndex")</sup> method was removed.
* The `ProductImageHelper::$productImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L15 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::$productImageImportDir")</sup> property was removed.

RedirectBundle
--------------
* The `Firewall::__construct(FirewallMapInterface $map, EventDispatcherInterface $dispatcher, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L47 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup> method was changed to `Firewall::__construct(MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L42 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup>
* The `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L21 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup> method was changed to `MatchedUrlDecisionMaker::__construct(array $skippedUrlPatterns, FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L25 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup>
* The `SlugUrlMatcher::__construct(RouterInterface $router, SlugRepository $slugRepository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L80 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup> method was changed to `SlugUrlMatcher::__construct(RouterInterface $router, ManagerRegistry $registry, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L81 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup>
* The `UniqueSlugResolver::__construct(SlugRepository $repository, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L41 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup> method was changed to `UniqueSlugResolver::__construct(ManagerRegistry $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L43 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup>
* The `RedirectExceptionListener::__construct(RedirectRepository $repository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L40 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup> method was changed to `RedirectExceptionListener::__construct(ManagerRegistry $registry, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L40 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup>
* The `SluggableUrlDumper::__construct(SlugRepository $slugRepository, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L25 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup> method was changed to `SluggableUrlDumper::__construct(ManagerRegistry $registry, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L29 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup>
* The `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, SlugRepository $slugRepository, LoggerInterface $logger, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L58 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup> method was changed to `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ManagerRegistry $registry, LoggerInterface $logger, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L63 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup>
* The `SlugUrlMatcher::$slugRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L36 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher::$slugRepository")</sup> property was removed.
* The `UniqueSlugResolver::$repository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L23 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver::$repository")</sup> property was removed.

ShippingBundle
--------------
* The `FormViewListener::addBlock(ScrollData $scrollData, $html, $label, $priority)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L95 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::addBlock(ScrollData $scrollData, $html, $label, $priority)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L98 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup>
* The `ShippingMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShippingBundle/Controller/Api/Rest/ShippingMethodsConfigsRuleController.php#L39 "Oro\Bundle\ShippingBundle\Controller\Api\Rest\ShippingMethodsConfigsRuleController")</sup> method was changed to `ShippingMethodsConfigsRuleController::enableAction(int $id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/Controller/Api/Rest/ShippingMethodsConfigsRuleController.php#L39 "Oro\Bundle\ShippingBundle\Controller\Api\Rest\ShippingMethodsConfigsRuleController")</sup>

ShoppingListBundle
------------------
* The `ShoppingListViewVoter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShoppingListBundle/Voter/ShoppingListViewVoter.php#L9 "Oro\Bundle\ShoppingListBundle\Voter\ShoppingListViewVoter")</sup> class was removed.
* The `CurrentShoppingListManager::__construct(ShoppingListManager $shoppingListManager, GuestShoppingListManager $guestShoppingListManager, Cache $cache, ManagerRegistry $doctrine, AclHelper $aclHelper, TokenAccessorInterface $tokenAccessor, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShoppingListBundle/Manager/CurrentShoppingListManager.php#L50 "Oro\Bundle\ShoppingListBundle\Manager\CurrentShoppingListManager")</sup> method was changed to `CurrentShoppingListManager::__construct(ShoppingListManager $shoppingListManager, GuestShoppingListManager $guestShoppingListManager, CurrentShoppingListStorage $currentShoppingListStorage, ManagerRegistry $doctrine, AclHelper $aclHelper, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Manager/CurrentShoppingListManager.php#L44 "Oro\Bundle\ShoppingListBundle\Manager\CurrentShoppingListManager")</sup>
* The `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L67 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup> method was changed to `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager, EntityDeleteHandlerRegistry $deleteHandlerRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L74 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup>
* The `ShoppingListRepository::findAvailableForCustomerUser(AclHelper $aclHelper, $selectRelations = false, $websiteId = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L29 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup> method was changed to `ShoppingListRepository::findAvailableForCustomerUser(AclHelper $aclHelper, $selectRelations = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L29 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup>
* The `LineItemController::deleteAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/ShoppingListBundle/Controller/Frontend/Api/Rest/LineItemController.php#L33 "Oro\Bundle\ShoppingListBundle\Controller\Frontend\Api\Rest\LineItemController")</sup> method was changed to `LineItemController::deleteAction(int $id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Controller/Frontend/Api/Rest/LineItemController.php#L37 "Oro\Bundle\ShoppingListBundle\Controller\Frontend\Api\Rest\LineItemController")</sup>

TaxBundle
---------
* The `RowTotalResolver::__construct(TaxationSettingsProvider $settingsProvider, TaxCalculatorInterface $calculator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/TaxBundle/Resolver/RowTotalResolver.php#L35 "Oro\Bundle\TaxBundle\Resolver\RowTotalResolver")</sup> method was changed to `RowTotalResolver::__construct(TaxationSettingsProvider $settingsProvider, TaxCalculatorInterface $calculator, RoundingResolver $roundingResolver)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Resolver/RowTotalResolver.php#L39 "Oro\Bundle\TaxBundle\Resolver\RowTotalResolver")</sup>
* The `TotalResolver::adjustAmounts`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/TaxBundle/Resolver/TotalResolver.php#L90 "Oro\Bundle\TaxBundle\Resolver\TotalResolver::adjustAmounts")</sup> method was removed.

VisibilityBundle
----------------
* The `CategoryVisibleListener::__construct(CategoryRepository $categoryRepository, CategoryVisibilityResolverInterface $categoryVisibilityResolver, CustomerUserRelationsProvider $customerUserRelationsProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryVisibleListener.php#L47 "Oro\Bundle\VisibilityBundle\EventListener\CategoryVisibleListener")</sup> method was changed to `CategoryVisibleListener::__construct(ManagerRegistry $registry, CategoryVisibilityResolverInterface $categoryVisibilityResolver, CustomerUserRelationsProvider $customerUserRelationsProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryVisibleListener.php#L50 "Oro\Bundle\VisibilityBundle\EventListener\CategoryVisibleListener")</sup>

WebsiteSearchBundle
-------------------
* The `HTMLSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/HTMLSearchableAttributeType.php#L11 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\HTMLSearchableAttributeType")</sup> class was removed.
* The `AbstractIndexer::__construct(DoctrineHelper $doctrineHelper, WebsiteSearchMappingProvider $mappingProvider, EntityDependenciesResolverInterface $entityDependenciesResolver, IndexDataProvider $indexDataProvider, PlaceholderInterface $placeholder, IndexerInputValidator $indexerInputValidator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/WebsiteSearchBundle/Engine/AbstractIndexer.php#L59 "Oro\Bundle\WebsiteSearchBundle\Engine\AbstractIndexer")</sup> method was changed to `AbstractIndexer::__construct(DoctrineHelper $doctrineHelper, WebsiteSearchMappingProvider $mappingProvider, EntityDependenciesResolverInterface $entityDependenciesResolver, IndexDataProvider $indexDataProvider, PlaceholderInterface $placeholder, IndexerInputValidator $indexerInputValidator, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebsiteSearchBundle/Engine/AbstractIndexer.php#L65 "Oro\Bundle\WebsiteSearchBundle\Engine\AbstractIndexer")</sup>
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-beta/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L63 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L73 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>

